import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';

@Injectable()
export class DialogService {
  private missingSearchFilterDlgSubject = new Subject<any>();
  private tooManyMatchesDlgSubject = new Subject<any>();
  private communicationErrorDlgSubject = new Subject<any>();

  constructor() { }

  getMissingSearchFilterSubscription(): Observable<any> {
    return this.missingSearchFilterDlgSubject.asObservable();
  }

  showMissingSearchFilterDialog() {
    this.missingSearchFilterDlgSubject.next();
  }

  getTooManyMatchesSubscription(): Observable<any> {
    return this.tooManyMatchesDlgSubject.asObservable();
  }

  showTooManyMatchesDialog(numMatches: number) {
    this.tooManyMatchesDlgSubject.next(numMatches);
  }

  getCommunicationErrorSubscription(): Observable<any> {
    return this.communicationErrorDlgSubject.asObservable();
  }

  showCommunicationErrorDialog() {
    this.communicationErrorDlgSubject.next();
  }
}
